Subject: Re: World Energy Demand

From: Jordan Wilkerson <[email-masked]>
Date: Tue, 4 Apr 1995 04:06:31 GMT

On Mon, 3 Apr 1995, Scott Guthery wrote:

> Is there a server somewhere that carries up-to-date data
> on world energy demand?
>
> Thanks, Scott
>
>
> World Energy Demand
>
How about WRI (World Resources Institute) in Washingto DC.  I know
they are supposed to keep an unbiased account of resources, so I'll
bet they keep track of the consumption of them.  Sorry, I do not have the
number, but they are in the District.

Jordan Wilkerson

University of Maryland
Hybrid Electric Vehicle Research
Project Manager
[email-masked]

"Ignorance Breeds Fear"

Re: World Energy Demand                                                      R